#
# spec file for package librapi2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           librapi2
Version:        0.15.2
Release:        pm152.3.7
Summary:        RAPI library for the SynCE project
License:        MIT
Group:          System/Libraries
Url:            http://sourceforge.net/projects/synce/
Source:         sourceforge.net/projects/synce/files/SynCE/OldReleases/0.15.2/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  pyrex
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(libsynce)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(python)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Librapi2 is part of the SynCE project. The RAPI library is an open source
implementation that works like RAPI.DLL, available on Microsoft operating
systems. The library makes it possible to make remote calls to a computer
running device.

%package 		devel
Summary:        Header files, libraries and development documentation for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description 	devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package -n 	python-rapi2
Summary:        Python RAPI bindings
Group:          Development/Libraries/Python
%py_requires

%description -n python-rapi2
This packages contains the RAPI bindings for python. It is necessary for the
use of the SynCE framework.

%package -n 	rapi2-tools
Summary:        RAPI tools to interact with Windows Mobile devices
Group:          Hardware/Mobile

%description -n rapi2-tools
This packages contains various simple commandline tools to interact with
Windows Mobile devices using the SynCE framework.

%prep
%setup -q

%build
%configure \
    --disable-rpath \
    --disable-static \
    --disable-hal-support \
    --enable-udev-support \
    LIBS="-lsynce"
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%files -n %{name}
%defattr(-,root,root)
%doc BUGS ChangeLog LICENSE README README.design README.contributing TODO
%{_libdir}/librapi.so.2
%{_libdir}/librapi.so.2.0.0

%files -n rapi2-tools
%defattr(-,root,root)
%{_mandir}/man1/*
%{_bindir}/pcp
%{_bindir}/synce-install-cab
%{_bindir}/pmkdir
%{_bindir}/pstatus
%{_bindir}/prmdir
%{_bindir}/synce-registry
%{_bindir}/pkillall
%{_bindir}/pmv
%{_bindir}/prm
%{_bindir}/prun
%{_bindir}/psettime
%{_bindir}/rapiconfig
%{_bindir}/synce-list-programs
%{_bindir}/pshortcut
%{_bindir}/pls
%{_bindir}/synce-remove-program
%{_bindir}/synce-database

%files devel
%defattr(-,root,root)
%{_mandir}/man3/rapi_connection_from_name.3.gz
%{_includedir}/rapi.h
%{_includedir}/irapistream.h
%{_includedir}/rapi2.h
%{_includedir}/rapitypes.h
%{_includedir}/rapitypes2.h
%{_libdir}/pkgconfig/librapi2.pc
%{_libdir}/librapi.so

%files -n python-rapi2
%defattr(-,root,root)
%{py_sitedir}/pyrapi2.so

%changelog
* Sat Mar 28 2015 avvissu@yandex.ru
- Fix build error: use udev instead of hal
- Use pkgconfig in package names
- export LIBS
- Spec file cleanup
* Sat Apr  2 2011 detlef@links2linux.de
- new upstream version <0.15.2>
* Sat May 22 2010 detlef@links2linux.de
- initial build for PackMan
* Sun May  2 2010 masterpatricko@gmail.com
- Update to 0.15 release
  + Bugfixes and under the hood stuff.
  + A few more registry functions in pyrapi2.
  + A new API based on MS RAPI2 is mostly complete and certainly usable.
* Sat Jul 18 2009 masterpatricko@gmail.com
- Updated to 0.14 release
  + Mostly bugfixes and developer stuff, with some changes to the
    python wrapper, including documentation !
  + Also now supports some unusual WM2003 devices with 4 endpoints
    with kernel 2.6.30
* Mon Aug 11 2008 masterpatricko@gmail.com
- Initial release of package
